EDIT - task #6606

Import Bogota specimen data
04/29/2017 12:13 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 90%
Category: cdmadapter Estimated time: 0:00 hour
Target version:

Severity: normal

Description

Test dataset available at //BGBM-PESIHPC/Bogota/test-data-edit-20170605.xIsx

Related issues:
Related to EDIT - task #6557: Import Bogota data Closed
Related to EDIT - task #6137: Urgent imports In Progress

Associated revisions

Revision 3a676b7a - 10/30/2017 11:00 PM - Andreas Miiller

ref #6606 changes in cdmlib for bogota specimen import

Revision 3222b0e2 - 11/03/2017 02:09 AM - Andreas Muller

ref #6606 latest changes to Bogota Specimen import

Revision af84788f - 11/05/2017 06:54 PM - Andreas Miiller

ref #6606 minor changes to Bogota Specimen import

Revision 18083589 - 11/08/2017 01:18 PM - Andreas Miiller

ref #6606 latest changes to Bogota Specimen import (specimen with no CDM taxon ID)

History

#1 - 04/29/2017 12:13 AM - Andreas Miiller
- Related to task #6557: Import Bogota data added

#2 - 06/07/2017 10:52 PM - Andreas Miiller
- Related to task #6137: Urgent imports added

#3 - 06/07/2017 10:53 PM - Andreas Miuller

- Description updated

#4 - 06/07/2017 10:57 PM - Andreas Miiller
- File BGBM_Specimen_ElementSet _v1.0_GB20170518 _rvDM20170523.xIsx added

#5 - 06/07/2017 11:05 PM - Andreas Miuller

Hallo Grischa, Walter,

vielen Dank fur die Daten. Habe sie tberflogen. Sieht ziemlich gut aus. Unten Anmerkungen zu den einzelnen Feldern.

An einigen Stellen gibt es Fragen, auch zu der besten Importstrategie. Einige wenige Felder passen so noch nicht sauber ins CDM (nur auf
Umwegen). Da misste jeweils entschieden werden, ob wir die wirklich im CDM brauchen. Immer unter der Voraussetzung, dass wir die Daten ja kein
Collection Management System sind sondern die Daten nur mit Taxa zusammenfliigen und darstellen.

Collectors:

Hier gibt es auch Institutionen (?) wie MCB, NEYBER LTDA, ,Laboratorios Melser®, ,Instituto de La Salle®, ,Instituto Zooprofilactico®, ,Sociedad de
Naturalistas de Nueva Granada®, ...

Bisher kannte ich als Sammler nur Personen und Teams. Ist das géngig oder sind das eher dirty data? Handeln kénnen wir es im CDM aber, wenn
ich das richtig sehe. Muss nur sehen, wie man die automatisch am besten erkennt, dass es sich nicht um Personen/Teams handelt.
Interesssant finde ich, dass hier auBBer eher ungewdhnlichen Teams wie ,Estudiantes Dendrologia Il — 1962, ,Estudiantes Botanica G. 1981 keine
wirklichen Teams (Liste von Personen) vorkommen. Absicht?

Was bedeutet Hno. In z.B ,Hno. Ariste Joseph®, ,Hno. Apollinaire” oder ,Hno. Antonio Camilo”, etc.

Einige Namen haben keine abgekirzten Vornamen. Auch kein Problem (obwohl das das Parsen ein bisschen unschéner macht), v.a. sollte das aber
evtl. im Original korrigiert werden?

Collector's No:
Einzige Auffalligkeit: ,2624 in part”, gehort das in part da wirklich hin?

Voucher ID
No problems, ist integer Zahl

[Series] Voucher location
8 unterschiedliche Eintrage, sieht gut aus. Sind das alles Standardabkirzungen? Kénnt ihr noch die Langnamen hinzufiigen? Kann auch nachtraglich
gemacht werden.

Series number: fehlt wie angekindigt
Basis of record: ok, immer Preserved Specimen:
Kind of unit: ok, immer herbarium sheet

Permission: ok, immer “Available”, muss ich noch Gberlegen, wie ich das ins CDM bekomme.
@Walter: Brauchen wir das Uberhaupt, oder ist es eigentlich nur eine Info, die nur fir die Collection Management Systeme relevant sind?
Kénnte ich derzeit als Marker oder Rights importieren. Auch als Facts ware es mdglich

Publish: OK, immer Yes.

Collection Date from and Collection Date to: ok, aber es gibt eine nicht kleine Menge mit s.n.. Ist das akzeptabel? Ist ja Pflichtfeld und keine Angaben
wie fehlende Info zu handeln ist.

Collection Notes: immer leer

Family, Genus, Specific Epithet, Rank, Infraspecific, Epithet, Author in parenthesis, Author: sieht ok aus, bisher kein Abgleich mit referenzierten
Taxonnamen. Evil. Abweichungen werde ich mitloggen.

Qualifier: cf., aff. und ?. Kénnen wir im CDM so gut handeln, aber brauchen wir nicht eigentlich auch ein Information dariiber, vor welchem epithet der
Qualifier stehen soll. Ich frage, weil wir das im CDM auch noch nicht implementiert haben, aber ich das aus dem BGBM Erfassung Excelbogen so
kenne. Da es aber wohl nur species gibt ist das in diesem Fall wohl klar.

Platform Name ID = cdmID / Tabelle ,Missing cmdID taxa”: Das ist ein kritischer Punkt, Gber 200 Taxa wurden nicht gefunden. Das betrifft 844
Belege. Da sollten wir unbedingt rausfinden, woran das liegt und wie wir das zeitnah lésen.

Kind of Identification: ok, immer det., auch hierfir fehlt uns noch das Feld im CDM glaube ich.

Identifier: ok, immer Einzelpersonen. Frage: sollen wir versuchen diese Personen z.B. auf die Collectors zu matchen um Duplikate zu vermeiden?
Wenn ja, wissen wir sicher, dass es sich immer um die gleichen Personen handelt und nicht um ,homonyme*“?

Identification date: Format ok, aber 5907 Belege mit “s.n.” obwohl Pflichtfeld. Ok? Wenn ja, soll ich s.n. oder gar kein Datum importieren? Gleiche
Frage fur Collection Date (s.o.)

Type: Manchmal nur ,Type“ ohne genaueren Typ. Ok? Kann man immer davon ausgehen, dass es sich um den Typus zu dem angegebenen Namen
handelt? Kann es nicht auch ein Typus eines Synonyms sein? Oder ist das bei diesem Feld ausgeschlossen. Fir den Import brauche ich einen klaren
Bezug zu einem Taxonnamen sonst kann ich die Typinformation nur bedingt importieren.

Einmal kommt ,Topoholotype* vor (zeile 51). Ist das gewollt. Das kenne ich noch nicht. Wenn ja, bréuchte ich weitere Infos zu diesem Typus Typen.

Identification history: 1200 Eintrage, Format scheint ok, einige haben ,,Anon.” als Autor. Sollen wir den Identifier in diesem Fall einfach weglassen?
AuBerdem auch hier die Frage, ob die Personen und auch die Taxon Namen dedupliziert werden sollen. Innerhalb der Identification history und
auBerhalb mit anderswo gleichlautenden.

Bei den Namen kommt hinzu, dass diese ohne Autor angegeben sind. D.h. das matching wirde gg. Namen mit Autoren laufen, bei Homonymen
natdrlich ein Problem. Wenn wir es nicht machen bekommen wir andererseits ziemlich viele Namensduplikate in die Datenbank.

Country: ok, immer Colombia

State/Province/Greater Area: immer Bogota D.C.
Locality: schwer zu prifen, keine leeren Felder, grundsétzlich miissen Fehler dann tber die Zeit erkannt werden. Einige Daten fangen mit ,sin datos®
an.

Locality ID: Immer vorhanden, im CDM weil3 ich allerdings nicht genau, wo ich das abspeichern soll. Locality speichern wir ja nur als Textstring und
um NamedAreas daraus zu machen sind es zu viele unterschiedliche. Eine Mdglichkeit wére noch, fir Belege mit gleicher Locality ID den gleichen
Gathering Event zu verwenden. Das wére schick, wiirde aber nur gehen, wenn auch wirklich alle gathering Daten (Datum, lat/long, Héhe, Error
distance, ...) gleich wéaren. Fur einige Stichproben schien das zu stimmen. Allerdings ist die Frage, ob wir das so machen sollen. Der TaxEditor
unterstitzt die Bearbeitung von gleichen Gathering Events bislang noch nicht.
Alternativ kdnnte ich die Locality ID natirlich als Extension speichern; als Alternative Identifier eher nicht, da es sich ja auf die Locality, nicht auf das
Specimen bezieht. Gathering Events kann man andererseits bislang keine Alternative Identifier hinzufuigen.

Precision qualifier: immer leer

Error distance in m: ok, immer Zahl, manchmal sehr schréag, ob Zahlen wie 108642 wirklich so gemeint sind oder ob es sich da um Fehler in der
Einheit handelt?

Longitude/ Latitude: Immer gefullt, Format ok, Zahlen plausibel
Longitude To/ Latitude To: ok, immer leer

Geocode Method: Wenn vorhanden immer ,Wieczorek, J., Guo, Q., & Hijmans, R. (2004). The point-radius ... “, ist noch schwierig ins CDM zu
bringen. Wir haben nur ,Reference System“ wo wir das manchmal reinschmeiB3en, nicht ganz sauber, eigentlich misste man zwischen Methode und
Referenzsystem differenzieren.

Altitude Value from/to: hin und wieder kommen Dezimalzahlen vor, das sieht das CDM bislang nicht vor. Kdnnen wir diese auf Integer reduzieren?
Alternativ kann man auch Freitext angeben.

Altitude Unit: ok, immer ,m*, nie leer wenn Altitude Value vorliegt
Altitude Method, Habitat aspects, Habitus, Path and File Name, Context, Created Date, Creator, Comment: ok, immer leer.

Viele Grif3e,
Andreas M.

#6 - 06/07/2017 11:06 PM - Andreas Miuller

Frage: waren das alle derzeit relevanten Belege oder ist das nur ein Auszug?
AuBerdem die Antworten zu den Fragen:

G04: Can we use a GUID like Platform Name ID field [row 16])?
Ja, kein Problem. Umso eindeutiger umso besser

G11/12: Am liebsten wéare mir 2016 fiir 2016. Wir kdnnen jedes Feld im Datum weglassen oder nicht weglassen. Exakt definierte Zeitspannen fiir
fehlende Werte finde ich nicht schdn, da das nicht eindeutig ist. Das 2016-00-00 der Kolumbianer lieBBe sich aber auch relativ leicht parsen. Speichern
werden wir es als 2016 oder als 2016-05 wenn nur der Tag fehlt. Ich habe solche Daten auf Anhieb aber gar nicht gefunden, muss ich dazu
erwahnen.

G27: ja das funktioniert, siche meine Kommentare unten.

#7 - 06/07/2017 11:06 PM - Andreas Miuller
AM:

Type: Manchmal nur , Type“ ohne genaueren Typ. Ok? Kann man immer davon ausgehen, dass es sich um den Typus zu dem angegebenen
Namen handelt? Kann es nicht auch ein Typus eines Synonyms sein? Oder ist das bei diesem Feld ausgeschlossen. Fir den Import brauche ich
einen klaren Bezug zu einem Taxonnamen sonst kann ich die Typinformation nur bedingt importieren.

Einmal kommt ,Topoholotype“ vor (zeile 51). Ist das gewollt. Das kenne ich noch nicht. Wenn ja, bréuchte ich weitere Infos zu diesem Typus
Typen.

Das habe ich mir glaube ich gerade schon selbst beantwortet. Wir beziehen uns ja gar nicht auf akzeptierte Taxa sondern auf Namen, also auch
Synonyme. Also gehe ich davon aus, dass der referenzierte Name auch wirklich zu dem Typus gehort.
Da hatte ich falsch gedacht

#8 - 07/07/2017 01:31 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#9 - 07/21/2017 10:27 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#10 - 09/24/2017 12:22 AM - Andreas Muller

- Target version changed from Release 4.10 to Release 4.11

#11 - 11/06/2017 03:49 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 90
#12-11/08/2017 11:52 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#13 - 07/11/2020 08:24 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Target version deleted (Release 4.12)

This can be closed as the Bogota database will not be used anyway. Cleanup import data not necessary anymore.

Files
BGBM_Specimen_ElementSet_v1.0_GB20170518_rvDM20170523.xIsb8.8 KB 06/07/2017 Andreas Muller
